#ifndef ANSUCMC_H
#define ANSUCMC_H
#pragma once
#include "ANSMOT.h"
#include "UCMCTracker.h"
namespace ANSCENTER {
    class ANSMOT_API ANSUCMCTrack :public ANSMOT
    {
    private:
        UCMC::Tracker tracker;
    public:
        ANSUCMCTrack();
        ~ANSUCMCTrack();
        [[nodiscard]] bool UpdateParameters(const std::string& trackerParameters) override;
        [[nodiscard]] std::string Update(int modelId, const std::string& detectionData) override;
        [[nodiscard]] std::vector<TrackerObject> UpdateTracker(int modelId, const std::vector<TrackerObject>& detectionObjects) override;
        [[nodiscard]] bool Destroy() override;
    };
}
#endif 